Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.dwrp
Class ReferenceOutboundVariable

    java.lang.Object
      org.directwebremoting.dwrp.ReferenceOutboundVariable

All Implemented Interfaces:
  OutboundVariable

    public class ReferenceOutboundVariable

extends java.lang.Object
implements OutboundVariable

An OutboundVariable that simply refers to one defined elsewhere

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`ReferenceOutboundVariable(java.lang.String assignCode)` Create a new ReferenceOutboundVariable

Method Summary
`java.lang.String` | `getAssignCode()`
`java.lang.String` | `getBuildCode()`
`java.lang.String` | `getDeclareCode()`
`OutboundVariable` | `getReferenceVariable()` Get a reference to this OutboundVariable.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReferenceOutboundVariable

    public ReferenceOutboundVariable(java.lang.String assignCode)

  Create a new ReferenceOutboundVariable

  Parameters:
    `assignCode` - The name of the variable to refer to

Method Detail

### getAssignCode

    public java.lang.String getAssignCode()

  Specified by:
    `getAssignCode` in interface `OutboundVariable`
  Returns:
    Returns the assignCode.

### getDeclareCode

    public java.lang.String getDeclareCode()

  Specified by:
    `getDeclareCode` in interface `OutboundVariable`
  Returns:
    Returns the declareCode

### getBuildCode

    public java.lang.String getBuildCode()

  Specified by:
    `getBuildCode` in interface `OutboundVariable`
  Returns:
    Returns the buildCode.

### getReferenceVariable

    public OutboundVariable getReferenceVariable()

  Description copied from interface: `OutboundVariable`
  Get a reference to this OutboundVariable. If `this` already is a reference then this method returns `this`, or if not it creates one that does.

  Specified by:
    `getReferenceVariable` in interface `OutboundVariable`
  Returns:
    An OutboundVariable that refers to this one.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD